## lpctools 1.06

=== Makefile ===
# Makefile for Tools

CC = $(CROSS_COMPILE)gcc

CFLAGS += -Wall -Wextra -O2

all: lpcisp lpcprog


OBJDIR = objs
SRC = $(shell find . -name \*.c)
OBJS = ${SRC:%.c=${OBJDIR}/%.o}

LPCISP_OBJS = ${OBJDIR}/lpcisp.o \
		${OBJDIR}/isp_utils.o \
		${OBJDIR}/isp_commands.o \
		${OBJDIR}/isp_wrapper.o
	
LPCPROG_OBJS = ${OBJDIR}/lpcprog.o \
		${OBJDIR}/isp_utils.o \
		${OBJDIR}/isp_commands.o \
		${OBJDIR}/prog_commands.o \
		${OBJDIR}/parts.o

lpcisp: $(LPCISP_OBJS)
	@echo "Linking $@ ..."
	@$(CC) $(LDFLAGS) $(LPCISP_OBJS) -o $@
	@echo Done.

lpcprog: $(LPCPROG_OBJS)
	@echo "Linking $@ ..."
	@$(CC) $(LDFLAGS) $(LPCPROG_OBJS) -o $@
	@echo Done.

${OBJDIR}/%.o: %.c
	@mkdir -p $(dir $@)
	@echo "-- compiling" $<
	@$(CC) -MMD -MP -MF ${OBJDIR}/$*.d $(CPPFLAGS) $(CFLAGS) $< -c -o $@


clean:
	rm -f ${OBJDIR}/*
mrproper: clean
	rm -f lpcisp
	rm -f lpcprog

=== debian/changelog ===
lpctools (1.06-1) unstable; urgency=medium

  * New upsream release. 

 -- Sophie Brun <sophie@freexian.com>  Wed, 09 Jul 2014 15:22:18 +0200

lpctools (1.05-1) unstable; urgency=medium

  * Import New upstream version

 -- Sophie Brun <sophie@freexian.com>  Wed, 09 Jul 2014 09:07:32 +0200

lpctools (1.04-1) unstable; urgency=low

  * Initial release (Closes: #754175)

 -- Sophie Brun <sophie@freexian.com>  Tue, 08 Jul 2014 09:49:50 +0200

=== debian/control ===
Source: lpctools
Section: electronics
Priority: optional
Maintainer: Sophie Brun <sophie@freexian.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://git.techno-innov.fr/?p=lpctools;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/lpctools.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/lpctools.git;a=summary

Package: lpctools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: interface to NXP LPC Microcontrollers ISP serial interface
 LPCTools is an interface to NXP LPC Microcontrollers ISP (In-System
 Programming) serial interface.
 .
 It provides two programs:
 .
  * lpcisp: this tool gives access to each of the useful isp commands on LPC
    devices. It does not provide wrappers for flashing a device.
  * lpcprog: this tool does not give access to each isp command, instead it
    provides wrappers for flashing a device. This tool gives access to each of
    the useful isp commands on LPC.

=== debian/watch ===
version=3
opts="downloadurlmangle=s/shortlog/snapshot/,filenamemangle=s/^.*h=refs\/tags\/v?(\d.*)/lpctools_$1.orig.tar.gz/" \
http://git.techno-innov.fr/?p=lpctools;a=tags .*;a=shortlog;h=refs/tags/v?(\d.*)

## lpctools 1.07

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 CFLAGS += -Wall -Wextra -O2
 
-all: lpcisp lpcprog
+all: lpcisp lpcprog lpc_binary_check
 
 
 OBJDIR = objs
@@ -22,6 +22,9 @@
 		${OBJDIR}/prog_commands.o \
 		${OBJDIR}/parts.o
 
+LPCCHECK_OBJS = ${OBJDIR}/check.o \
+		${OBJDIR}/isp_utils.o
+
 lpcisp: $(LPCISP_OBJS)
 	@echo "Linking $@ ..."
 	@$(CC) $(LDFLAGS) $(LPCISP_OBJS) -o $@
@@ -30,6 +33,11 @@
 lpcprog: $(LPCPROG_OBJS)
 	@echo "Linking $@ ..."
 	@$(CC) $(LDFLAGS) $(LPCPROG_OBJS) -o $@
+	@echo Done.
+
+lpc_binary_check: $(LPCCHECK_OBJS)
+	@echo "Linking $@ ..."
+	@$(CC) $(LDFLAGS) $(LPCCHECK_OBJS) -o $@
 	@echo Done.
 
 ${OBJDIR}/%.o: %.c

=== debian/changelog ===
lpctools (1.07-3) unstable; urgency=medium

  * QA upload.
  * Fix clean target. Closes: #1048437.
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Dec 2025 12:50:00 +0100

lpctools (1.07-2) unstable; urgency=medium

  * Orphan the package

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.

 -- Sophie Brun <sophie@freexian.com>  Tue, 06 Jun 2023 15:12:06 +0200

lpctools (1.07-1) unstable; urgency=medium

  * New upstream release.
  * Move git repository to salsa.debian.org.
  * Switch to debhelper compat level 11 and clean up rules file.
  * Bump Standards-Version to 4.1.3.
  * Add myself to Uploaders.
  * Override dh_auto_test to nothing because "make check" would fail.
  * Install lpc_binary_check too.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Feb 2018 17:16:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: lpctools
 Section: electronics
-Priority: optional
-Maintainer: Sophie Brun <sophie@freexian.com>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.2
 Homepage: http://git.techno-innov.fr/?p=lpctools;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/lpctools.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/lpctools.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/lpctools.git
+Vcs-Browser: https://salsa.debian.org/debian/lpctools
 
 Package: lpctools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Do nothing to avoid "make check" call triggering a failing build of check.c

override_dh_auto_clean:
	$(MAKE) mrproper
